@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';

/* @font-face {
    font-family: "GT Walsheim";
    font-weight: 700;
    src: url("https://db.onlinewebfonts.com/t/f7afe66fe9d022d7dc7fd57e4adc078f.eot");
    src: url("https://db.onlinewebfonts.com/t/f7afe66fe9d022d7dc7fd57e4adc078f.eot?#iefix") format("embedded-opentype"), url("https://db.onlinewebfonts.com/t/f7afe66fe9d022d7dc7fd57e4adc078f.woff2") format("woff2"), url("https://db.onlinewebfonts.com/t/f7afe66fe9d022d7dc7fd57e4adc078f.woff") format("woff"), url("https://db.onlinewebfonts.com/t/f7afe66fe9d022d7dc7fd57e4adc078f.ttf") format("truetype"), url("https://db.onlinewebfonts.com/t/f7afe66fe9d022d7dc7fd57e4adc078f.svg#GT Walsheim Pro Bold") format("svg");
}

@font-face {
    font-family: "GT Walsheim";
    font-weight: 400;
    src: url("https://db.onlinewebfonts.com/t/768446cc3d04d6dd3289ae1715bdb682.eot");
    src: url("https://db.onlinewebfonts.com/t/768446cc3d04d6dd3289ae1715bdb682.eot?#iefix") format("embedded-opentype"), url("https://db.onlinewebfonts.com/t/768446cc3d04d6dd3289ae1715bdb682.woff2") format("woff2"), url("https://db.onlinewebfonts.com/t/768446cc3d04d6dd3289ae1715bdb682.woff") format("woff"), url("https://db.onlinewebfonts.com/t/768446cc3d04d6dd3289ae1715bdb682.ttf") format("truetype"), url("https://db.onlinewebfonts.com/t/768446cc3d04d6dd3289ae1715bdb682.svg#GT Walsheim Regular") format("svg");
} */

@import url('https://fonts.googleapis.com/css2?family=Jura:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Alumni+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:ital,wght@0,100;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@layer base {
    h1 {
        @apply text-2xl;
        /* font-family: Sharp Slab; */
    }
    h2 {
        @apply text-xl;
        /* font-family: Sharp Slab; */
    }
    h3 {
        @apply text-lg;
        /* font-family: Sharp Slab; */
    }
    p {
        /* font-family: Roboto; */
    }
}

html {
    scroll-behavior: smooth;
}

body {
    user-select: text !important;
}

*::-webkit-scrollbar {
    width: 0.5rem;
    height: 0rem;
}

*::-webkit-scrollbar-thumb {
    @apply bg-gray-800 bg-opacity-50;
    box-shadow: 0 0 0.125rem 0.0625rem rgba(0, 0, 0, 0.2);
}

*::-webkit-scrollbar-thumb:hover {
    @apply bg-red-500 bg-opacity-60;
    box-shadow: 0 0 0.125rem 0.0625rem rgba(0, 0, 0, 0.2);
}

*::-webkit-scrollbar-thumb:active {
    @apply bg-red-500;
}

*::-webkit-scrollbar-track {
    @apply bg-transparent;
}

*::-webkit-scrollbar-track:hover,
*::-webkit-scrollbar-track:active {
    @apply bg-transparent;
}


/* .sections {
    height: 100%;
    width: 300vw;
  } */

.zoom-overlay {
    @apply bg-black bg-opacity-60;
}

.transition-fade {
    transition: 0.4s;
    opacity: 1;
}

html.is-animating .transition-fade {
    opacity: 0;
}

.contenedor {
    scroll-snap-type: y mandatory;
}

.proyectos {
    scroll-snap-align: start;
}

.project-hover>.title {
    @apply bottom-0 text-opacity-0;
}

.project-hover:hover>.title {
    @apply text-opacity-100 bottom-10;
}

.flip-card {
    background-color: transparent;
    perspective: 1000px;
    /* Remove this if you don't want the 3D effect */
}


/* This container is needed to position the front and back side */

.flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}


/* Do an horizontal flip when you move the mouse over the flip box container */


/* .flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
  } */


/* Position the front and back side */

.flip-card-front,
.flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    /* Safari */
    backface-visibility: hidden;
}


/* Style the front side (fallback if image is missing) */

.flip-card-front {}


/* Style the back side */

.flip-card-back {
    transform: rotateY(180deg);
}

.modal {
    visibility: visible !important;
    opacity: 1;
}